#ifndef MINORI_GUI_WIDGETS_CLICKABLE_LABEL_H_
#define MINORI_GUI_WIDGETS_CLICKABLE_LABEL_H_

#include <QLabel>

class ClickableLabel final : public QLabel {
	Q_OBJECT

public:
	explicit ClickableLabel(QWidget* parent = nullptr);
	~ClickableLabel();

signals:
	void clicked();

protected:
	void mousePressEvent(QMouseEvent*) override;
};

#endif // MINORI_GUI_WIDGETS_CLICKABLE_LABEL_H_
